> ## Documentation Index
> Fetch the complete documentation index at: https://ayrshare.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy Dữ liệu Thương hiệu

> Lấy thông tin tài khoản mạng xã hội theo tên người dùng

export const PlansAvailable = ({plans = [], maxPackRequired}) => {
  let displayPlans = plans;
  if (plans && plans.length === 1) {
    const lowerCasePlan = plans[0].toLowerCase();
    if (lowerCasePlan === "business") {
      displayPlans = ["Launch", "Business", "Enterprise"];
    } else if (lowerCasePlan === "premium") {
      displayPlans = ["Premium", "Launch", "Business", "Enterprise"];
    }
  }
  return <Note>
Available on {displayPlans.length === 1 ? "the " : ""}
{displayPlans.join(", ").replace(/\b\w/g, l => l.toUpperCase())}{" "}
{displayPlans.length > 1 ? "plans" : "plan"}.

{maxPackRequired && <span onClick={() => window.open('https://www.ayrshare.com/docs/additional/maxpack', '_self')} className="flex items-center mt-2 cursor-pointer">
 <span className="px-1.5 py-0.5 rounded text-sm" style={{
    backgroundColor: '#C264B6',
    color: 'white',
    fontSize: '12px'
  }}>
   Max Pack required
 </span>
</span>}
</Note>;
};

export const HeaderAPI = ({noProfileKey, profileKeyRequired}) => <>
    <ParamField header="Authorization" type="string" required>
      <a href="/apis/overview#authorization">API Key</a> of the Primary Profile.
      <br />
      <br />
      Format: <code>Authorization: Bearer API_KEY</code>
    </ParamField>
    {!noProfileKey && (profileKeyRequired ? <ParamField header="Profile-Key" type="string" required>
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField> : <ParamField header="Profile-Key" type="string">
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField>)}
  </>;

<PlansAvailable plans={["business"]} maxPackRequired={false} />

Endpoint này cho phép bạn lấy thông tin về bất kỳ hồ sơ mạng xã hội công khai nào, ngay cả khi hồ sơ đó
không được liên kết với tài khoản Ayrshare của bạn. Tính năng này khả dụng cho Bluesky, Facebook, Instagram, LinkedIn,
X và YouTube.

Đối với các hồ sơ đã liên kết với tài khoản Ayrshare của bạn, chúng tôi khuyến nghị sử dụng endpoint [/analytics](/apis/analytics/social) thay thế, vì nó cung cấp phân tích chi tiết hơn.

Quan trọng: Để tìm kiếm một hồ sơ trên một nền tảng mạng xã hội cụ thể, tài khoản Ayrshare của bạn phải liên kết mạng xã hội đó.
Ví dụ, để tìm kiếm bất kỳ hồ sơ Instagram nào, ví dụ `@taylorswift`, bạn phải liên kết Instagram với tài khoản Ayrshare của mình.

<Warning>
  Tài khoản được tìm kiếm phải là công khai để truy cập dữ liệu. Các tài khoản mạng xã hội riêng tư không khả dụng.

  Dữ liệu vị trí chỉ khả dụng đối với các doanh nghiệp có vị trí công khai.
  Việc gắn thẻ vị trí trong Facebook hoặc Instagram yêu cầu có một vị trí khả dụng.
</Warning>

## Tham số Header

<HeaderAPI />

## Tham số Query

<ParamField query="platforms" type="array" required>
  Mảng chuỗi các nền tảng: `bluesky`, `instagram`, `facebook`, `linkedin`, `twitter`, hoặc
  `youtube`.
</ParamField>

<ParamField query="blueskyUser" type="string">
  Handle Bluesky đã được mã hóa URL. Ví dụ: "@ayrshare" hoặc "ayrshare". Bắt buộc nếu "bluesky" có trong
  mảng `platforms`.
</ParamField>

<ParamField query="facebookUser" type="string">
  Tên Facebook Page đã được mã hóa URL. Ví dụ "@newyorkgiants" hoặc "newyorkgiants".
  Facebook không cho phép các tài khoản cá nhân.

  Bắt buộc nếu "facebook" có trong mảng `platforms`.
</ParamField>

<ParamField query="instagramUser" type="string">
  Handle Instagram đã được mã hóa URL. Ví dụ: "@nygiants" hoặc "nygiants".
  Lưu ý: Chỉ các tài khoản Instagram Business và Creator mới có thể được trả về.

  Bắt buộc nếu "instagram" có trong mảng `platforms`.
</ParamField>

<ParamField query="linkedinUser" type="string">
  Tên vanity của công ty LinkedIn (tổ chức) chẳng hạn như `Linkedin` hoặc `linkedin-marketing-solutions`.

  Bạn cũng có thể tra cứu một người bằng ID cá nhân LinkedIn của họ được lấy từ endpoint history, ví dụ những người đã thích
  một bài đăng. Một ID mẫu: `urn:li:person:Z_yXaxh_Et`

  Bắt buộc nếu "linkedin" có trong mảng `platforms`.
</ParamField>

<ParamField query="twitterUser" type="string">
  Handle Twitter đã được mã hóa URL. Ví dụ: "@ayrshare" hoặc "ayrshare".

  Bắt buộc nếu "twitter" có trong mảng `platforms`.
</ParamField>

<ParamField query="youtubeUser" type="string">
  Tên người dùng YouTube đã được mã hóa URL, ID kênh hoặc ID danh sách phát. Lưu ý, ID kênh thường bắt đầu bằng
  "UC" và ID danh sách phát bắt đầu bằng "PL". Ví dụ, gửi tên người dùng "MelissaEtheridgeVEVO" hoặc
  ID kênh dưới dạng "UCpSUQewzOXg1F0zLmieKCqQ".

  Bạn cũng có thể sử dụng handle YouTube được tìm thấy trong URL YouTube.
  Ví dụ, handle cho [https://www.youtube.com/@mkbhd](https://www.youtube.com/@mkbhd) là "@mkbhd".
  Hãy nhớ giữ ký hiệu `@` để chỉ định handle.

  Bắt buộc nếu "youtube" có trong mảng `platforms`.
</ParamField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl \
  -H "Authorization: Bearer API_KEY" \
  -X GET https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants
  ```

  ```javascript JavaScript theme={"system"}
  const API_KEY = "API_KEY";

  fetch(
    "https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants",
    {
      method: "GET",
      headers: {
        Authorization: `Bearer ${API_KEY}`
      }
    }
  )
    .then((res) => res.json())
    .then((json) => console.log(json))
    .catch(console.error);
  ```

  ```python Python theme={"system"}
  import requests

  headers = {'Authorization': 'Bearer API_KEY'}

  r = requests.get('https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants', headers=headers)

  print(r.json())
  ```

  ```php PHP theme={"system"}
  $apiUrl = 'https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants';
  $apiKey = 'API_KEY';  // Replace 'API_KEY' with your actual API key

  $headers = [
      'Content-Type: application/json',
      'Authorization: Bearer ' . $apiKey,
  ];

  $curl = curl_init($apiUrl);
  curl_setopt_array($curl, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER => $headers
  ]);

  $response = curl_exec($curl);

  if ($response === false) {
      echo 'Curl error: ' . curl_error($curl);
  } else {
      echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
  }

  curl_close($curl);

  ```

  ```csharp C# theme={"system"}
  using System;
    using System.Net.Http;
    using System.Threading.Tasks;

    namespace BrandByUserGETRequest_csharp
    {
        class BrandByUser
        {
            static async Task Main(string[] args)
            {
                string API_KEY = "API_KEY";
                string url = "https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants";

                using (var client = new HttpClient())
                {
                    client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

                    try
                    {
                        var response = await client.GetStringAsync(url);
                        Console.WriteLine(response);
                    }
                    catch (HttpRequestException ex)
                    {
                        Console.WriteLine($"Error: {ex.Message}");
                    }
                }
            }
        }
    }
  ```
</RequestExample>

<ResponseExample>
  ```json 200: Success theme={"system"}
  {
      "bluesky": {
        "avatar": "https://cdn.bsky.app/img/avatar/plain/did:plc:62musrcyanhro2lydyhlw7ci/bafkreiegtpqhpwgu6tww2ejsdil4ew3blmt6jh3wlq6zhanxo3wj2ib4du@jpeg",
        "description": "Ayrshare's Social APIs provide the core infrastructure for social media posting, management, and analytics.",
        "displayName": "Ayrshare",
        "handle": "ayrshare.com",
        "id": "did:plc:62musrcyanhro2lydyhlw7ci",
        "indexedAt": "2024-11-29T21:13:18.046Z"
      },
      "facebook": {
          "about": "We invite you to wonder. ",
          "description": "Frank Lloyd Wright's architectural masterpiece home to a world-renowned collection of modern and contemporary art.",
          "fanCount": 845048,
          "followersCount": 874337,
          "id": "7640348500",
          "isUnclaimed": false, // liệu một Facebook Page được tạo tự động đã được xác nhận bởi doanh nghiệp mà nó đại diện hay chưa.
          "link": "https://www.facebook.com/7640348500",
          "location": {
              "city": "New York",
              "country": "United States",
              "latitude": 40.782910059774,
              "longitude": -73.959075808525,
              "state": "NY",
              "street": "1071 5th Ave",
              "zip": "10128"
          },
          "name": "Solomon R. Guggenheim Museum",
          "picture": {
              "data": {
                  "height": 50,
                  "isSilhouette": false,
                  "url": "https://scontent.ford4-1.fna.fbcdn.net/v/t39.30808-1/352122020_2000703126929355_7618417261219676343_n.jpg?stp=cp0_dst-jpg_p50x50&_nc_cat=104&ccb=1-7&_nc_sid=4da83f&_nc_ohc=Y1AlQn-HyvwAX8NzExq&_nc_ht=scontent.ford4-1.fna&edm=AJdBtusEAAAA&oh=00_AfD7ms2Nv0b5x1jr_uJKZsXnngQP3dmDrjQDNz_4aaBrCg&oe=65D3ACAE",
                  "width": 50
              }
          },
          "username": "guggenheimmuseum",
          "verificationStatus": "blue_verified", // Trạng thái xác minh của Facebook Page đại diện cho một doanh nghiệp, blue_verified hoặc not_verified.
          "website": "http://www.guggenheim.org/"
      },
      "instagram": {
          "biography": "4x Super Bowl Champions #TogetherBlue",
          "followersCount": 2278171,
          "followsCount": 228,
          "id": "17841400118294090", // Instagram Id
          "igId": 261763943,
          "mediaCount": 8965,
          "name": "New York Giants",
          "profilePictureUrl": "https://scontent-lga3-2.xx.fbcdn.net/v/t51.2885-15/209249968_563247608171409_1254577321735891919_n.jpg?_nc_cat=1&ccb=1-5&_nc_sid=86c713&_nc_ohc=T673IyEiuasAX_Jj7xu&_nc_ht=scontent-lga3-2.xx&edm=AL-3X8kEAAAA&oh=00_AT8GNdOos4riN7NhrI06a6TkVKgOf5p_RUlsOQUwPRW3VQ&oe=6247F2F0",
          "username": "nygiants",
          "website": "http://nygnt.co/vgle2"
      },
      // LinkedIn sử dụng tên người dùng hoặc handle
      "linkedin": {
          "localizedName": "LinkedIn",
          "name": {
              "localized": {
                  "it_IT": "LinkedIn",
                  "ru_RU": "LinkedIn",
                  "pl_PL": "LinkedIn",
                  "ro_RO": "LinkedIn",
                  "sv_SE": "LinkedIn"
              },
              "preferredLocale": {
                  "country": "US",
                  "language": "en"
              }
          },
          "id": 1337,
          "vanityName": "linkedin",
          "organizationType": "PUBLIC_COMPANY",
          "locations": [
              {
                  "locationType": "HEADQUARTERS",
                  "address": {
                      "geographicArea": "CA",
                      "country": "US",
                      "city": "Sunnyvale",
                      "line1": "1000 W Maude",
                      "postalCode": "94085"
                  },
                  "streetAddressFieldState": "UNSET_OPT_OUT",
                  "geoLocation": "urn:li:geo:106316449",
                  "staffCountRange": "SIZE_1"
              },
              {
                  "locationType": "OTHER",
                  "address": {
                      "geographicArea": "Community of Madrid",
                      "country": "ES",
                      "city": "Madrid",
                      "postalCode": "28046"
                  },
                  "streetAddressFieldState": "OPT_OUT",
                  "geoLocation": "urn:li:geo:106809575",
                  "staffCountRange": "SIZE_1"
              },
              {
                  "locationType": "OTHER",
                  "address": {
                      "geographicArea": "ON",
                      "country": "CA",
                      "city": "Toronto",
                      "postalCode": "M5J 2Z2"
                  },
                  "streetAddressFieldState": "OPT_OUT",
                  "geoLocation": "urn:li:geo:108528311",
                  "staffCountRange": "SIZE_1"
              }
          ],
          "specialties": [
              {
                  "locale": {
                      "country": "US",
                      "language": "en"
                  },
                  "tags": [
                      "Online Professional Network",
                      "Jobs",
                      "People Search",
                      "Company Search",
                      "Address Book",
                      "Advertising",
                      "Professional Identity",
                      "Group Collaboration",
                      "Recruiting"
                  ]
              }
          ],
          "website": "https://careers.linkedin.com",
          "description": "Founded in 2003, LinkedIn connects the world's professionals to make them more productive and successful. With more than 1 billion members worldwide, including executives from every Fortune 500 company, LinkedIn is the world's largest professional network. The company has a diversified business model with revenue coming from Talent Solutions, Marketing Solutions, Sales Solutions and Premium Subscriptions products. Headquartered in Silicon Valley, LinkedIn has offices across the globe..",
          "media": {
              "mediaUrl": "https://media.licdn.com/dms/image/C560BAQHaVYd13rRz3A/company-logo_400_400/0/1638831590218/linkedin_logo?e=1723680000&v=beta&t=gOk8XZWklJyh3O7qcgWRluAgbt8whoV8Kr9B0E74xYI",
              "id": "urn:li:digitalmediaAsset:C560BAQHaVYd13rRz3A",
              "mediaExpiresSeconds": 1723680000000
          },
          "lastUpdated": "2024-05-15T20:42:09.417Z",
          "nextUpdate": "2024-05-15T20:53:09.417Z"
      },
       // LinkedIn sử dụng ID cá nhân.
      "linkedin": {
          "from": {
              "name": "John Doe",
              "id": "Z_yXaxh",
              "url": "https://www.linkedin.com/in/johndoe",
              "description": "Founder"
          },
          "media": {
              "id": "urn:li:image:C5103AQHORT70jVfKVA",
              "mediaExpiresSeconds": 1728518400000,
              "url": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile"
          },
          "platform": "linkedin",
          "profileImageUrl": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile",
          "userName": "johndoe"
      },
      "twitter": {
          "createdAt": "2017-10-04T15:26:17.000Z",
          "description": "Ayrshare's APIs provide the core infrastructure for social media posting, management, and analytics. https://t.co/UlcRGcg1X9",
          "id": "92839209304423",
          "location": "New York, NY",
          "name": "Ayrshare",
          "profileImageUrl": "https://pbs.twimg.com/profile_images/1423334467389767680/ochnivwr_normal.jpg",
          "publicMetrics": {
              "followersCount": 5361,
              "followingCount": 39,
              "tweetCount": 844,
              "listedCount": 5
          },
          "url": "https://t.co/UlcRGcg1X9",
          "username": "Ayrshare"
      },
      "youtube": {
          "created": "2009-05-12T05:28:43Z",
          "description": "",
          "hiddenSubscriberCount": false,
          "isLinked": true,
          "longUploadsStatus": "longUploadsUnspecified",
          "madeForKids": false,
          "playlistId": "UU-0dv2mN6SeXwkEKtfKXJnQ",
          "privacyStatus": "public",
          "subscriberCount": "28200",
          "thumbnailUrl": "https://yt3.ggpht.com/OwargtIRcXzB7jlHWgCmitNo-6JX2wbZGdOMg5K7rd5BnX4bSJX1WPaD2Bi4RN3X9SJi4D4h4g=s88-c-k-c0x00ffffff-no-nd-rj",
          "title": "MelissaEtheridgeVEVO",
          "url": "https://www.youtube.com/c/@MelissaEtheridgeVEVO",
          "videoCount": "43",
          "viewCount": "29872467"
      }
  }
  ```

  ```json 400: Bad Request Error theme={"system"}
  {
    "status": "error",
    "code": 187,
    "instagram": {
      "action": "analytics",
      "status": "error",
      "code": 294,
      "message": "Error getting analytics. The user with username: whoblhablah cannot be found.",
      "platform": "instagram"
    },
    "twitter": {
      "action": "analytics",
      "status": "error",
      "code": 294,
      "message": "Error getting analytics. Could not find user with username: [NoDonkdfjkd]."
    },
    "linkedin": {
      "action": "analytics",
      "status": "error",
      "code": 294,
      "message": "Error getting analytics.",
      "details": "No LinkedIn organization found for linkedinfdfd"
    }
  }
  ```
</ResponseExample>
